program treeexe;
const
M=2000;
var vazel:array[1..M,1..2] of integer;
   k,x,y,j,t,N,nom:integer;
                       begin
 writeln('insert broi dagi:');
 readln(N);
 for t:=1 to N do
 for j:=1 to 2 do
begin
writeln('Insert vazel[',t,',',j,']');
readln(vazel[t,j]);
end;
for t:=1 to n do
for j:=1 to n do
begin
k:=vazel[t,1];
begin
k:=vazel[1,1];
begin
if (k=vazel[t,2]) then writeln ('o o') else
if (k<>vazel[j,2]) then
writeln('k=',k)
end;
end;
end;
end.